Page MenuHomePhabricator

[Regression] Media Settings - Infinite loop when an image is inserted
Closed, ResolvedPublic8 Estimated Story Points

Description

Type 'tussen haerlem' into Media Settings box - Network tab will display endless amount of requests.

Event Timeline

Etonkovidova assigned this task to Mooeypoo.
Etonkovidova raised the priority of this task from to Unbreak Now!.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a project: VisualEditor.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2015, 12:41 AM
gerritbot added a subscriber: gerritbot.

Change 188725 had a related patch set uploaded (by Mooeypoo):
Refactor MWMediaSearchWidget to use a queue and providers

https://gerrit.wikimedia.org/r/188725

Patch-For-Review

Change 188725 merged by jenkins-bot:
Refactor MWMediaSearchWidget to use a queue and providers

https://gerrit.wikimedia.org/r/188725

Betalabs looks good.
Testing notes:

  • check for a search with many search results, e.g. 'lilac', 'cow'
  • check for a search with few results - 'After Cornelis Cornelisz. van Haarlem 001.jpg' returns two results.
Jdforrester-WMF renamed this task from Media Settings - Infinite loop when an image is inserted to [Regression] Media Settings - Infinite loop when an image is inserted.Feb 9 2015, 6:28 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.

Change 189861 had a related patch set uploaded (by Alex Monk):
Refactor MWMediaSearchWidget to use a queue and providers

https://gerrit.wikimedia.org/r/189861

Patch-For-Review

Change 189861 merged by jenkins-bot:
Refactor MWMediaSearchWidget to use a queue and providers

https://gerrit.wikimedia.org/r/189861

Change 189867 had a related patch set uploaded (by Alex Monk):
Update VisualEditor submodule

https://gerrit.wikimedia.org/r/189867

Patch-For-Review

Change 189867 merged by jenkins-bot:
Update VisualEditor submodule

https://gerrit.wikimedia.org/r/189867

Deployed fix to 1.25wmf16 sites (i.e., not Wikipedias).

Checked the fix in beta and in test2.

Jdforrester-WMF closed this task as Resolved.Feb 11 2015, 5:53 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.